Bug 1959663 (CVE-2020-26139)

Summary: CVE-2020-26139 kernel: Forwarding EAPOL from unauthenticated wifi client
Product: [Other] Security Response Reporter: Wade Mealing <wmealing>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: acaringi, adscvr, airlied, alciregi, bhu, blc, bmasney, brdeoliv, bskeggs, chwhite, crwood, dhoward, dvlasenk, fhrbata, fpacheco, hdegoede, hkrzesin, ihuguet, jarodwilson, jeremy, jforbes, jlelli, jonathan, josef, jshortt, jstancek, jwboyer, kcarcia, kernel-maint, kernel-mgr, lgoncalv, linville, masami256, mchehab, mlangsdo, nmurray, ptalbert, qzhao, rvrbovsk, steved, walters, wcosta, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel 5.13 rc4 Doc Type: If docs needed, set a value
Doc Text:
Frames used for authentication and key management between the AP and connected clients. Some clients may take these redirected frames masquerading as control mechanisms from the AP.
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-09 21:22:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1978186, 1960130, 1960131, 1960132, 1960133    
Bug Blocks: 1959275    

Description Wade Mealing 2021-05-12 03:59:46 UTC
A flaw was found in the Linux kernels wifi implementation.  An attacker connected to the wireless network can send 'authentication and key management' frames to any participant on the network.  These frames are only intended to be sent from the controlling access point however the kernel did not prevent retransmission of these packets from non-controlling nodes.

Upstream fix:
https://lore.kernel.org/linux-wireless/20210511200110.cb327ed0cabe.Ib7dcffa2a31f0913d660de65ba3c8aca75b1d10f@changeid/

Comment 4 Wade Mealing 2021-05-13 06:25:03 UTC
Mitigation:

Mitigation for this issue is either not available or the currently available options does not meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Comment 5 Wade Mealing 2021-05-13 06:28:55 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1960130]

Comment 17 Justin M. Forbes 2021-06-29 16:17:54 UTC
This was fixed for Fedora with the 5.12.9 stable kernel updates.

Comment 20 errata-xmlrpc 2021-11-09 17:22:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4140 https://access.redhat.com/errata/RHSA-2021:4140

Comment 21 errata-xmlrpc 2021-11-09 18:25:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4356 https://access.redhat.com/errata/RHSA-2021:4356

Comment 22 Product Security DevOps Team 2021-11-09 21:22:11 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-26139